
QGIS Application - Bug report #11825

fill with centroid draws symbol outside the polygons

2014-12-09 06:38 AM - matteo ghetta

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: debian, windows Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 20043

Description

In a certain scale range (1:250,000 - 1:5,000) the fill with centroid style behavior appears weird.

Centroids are drawn also outside the polygons in the upper left corner where no polygon exists.

Attach contains some images, a shapefile and a project file.

BTW: QGIS 2.6, 2.6.1 and 2.7 (master)

Associated revisions

Revision b26556e5 - 2015-02-12 07:14 AM - Martin Dobias

Fix #11825 - handle centroid calculation also for invalid geometries

The on the fly simplification can corrupt geometries so let's try to deal

with it best we can

History

#1 - 2014-12-09 07:50 AM - Paolo Cavallini

- Priority changed from Normal to Severe/Regression

Apparently a regression

#2 - 2015-02-11 03:56 AM - Martin Dobias

- Status changed from Open to Feedback

I cannot reproduce. Does it happen just sometimes?

Will it happen if you disable simplification?

Will it happen if you force point on surface in centroid fill properties?

#3 - 2015-02-11 05:54 AM - Giovanni Manghi

- Affected QGIS version changed from 2.6.0 to master

- Status changed from Feedback to Open
Martin Dobias wrote:

I cannot reproduce. Does it happen just sometimes?

Will it happen if you disable simplification?

Will it happen if you force point on surface in centroid fill properties?

steps to replicate:

    -  open the attached project

    -  zoom to full

    -  add to project the attached shapefile "case6"

    -  enter the newly added layer properties and change symbology to "centroid fill". A point symbol will show in the upper left corner of the canvas.

#4 - 2015-02-11 10:15 PM - Martin Dobias

- Status changed from Open to Closed

Fixed in changeset commit:"b26556e55190fc45b5ca700827230682a661742e".

Files

ticket.zip 1.42 MB 2014-12-09 matteo ghetta
